RGBSColor Struct Reference

`#include <libwpd_internal.h>`

## Public Member Functions

| RGBSColor (unsigned char r, unsigned char g, unsigned char b, unsigned char s)
| RGBSColor (unsigned short red, unsigned short green, unsigned short blue)
| RGBSColor ()

## Public Attributes

unsigned char | m_r
unsigned char | m_g
unsigned char | m_b
unsigned char | m_s

## Constructor & Destructor Documentation

## RGBSColor() [1/3]

RGBSColor::RGBSColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b,
|  | unsigned char | s )

## RGBSColor() [2/3]

RGBSColor::RGBSColor | ( | unsigned short | red,
|  | unsigned short | green,
|  | unsigned short | blue )

## RGBSColor() [3/3]

RGBSColor::RGBSColor | ( |  | ) |

## Member Data Documentation

## m_b

unsigned char RGBSColor::m_b

Referenced by WPXContentListener::_colorToString(), WPXContentListener::_mergeColorsToString(), WP6ContentListener::highlightChange(), RGBSColor(), RGBSColor(), and RGBSColor().

## m_g

unsigned char RGBSColor::m_g

Referenced by WPXContentListener::_colorToString(), WPXContentListener::_mergeColorsToString(), WP6ContentListener::highlightChange(), RGBSColor(), RGBSColor(), and RGBSColor().

## m_r

unsigned char RGBSColor::m_r

Referenced by WPXContentListener::_colorToString(), WPXContentListener::_mergeColorsToString(), WP6ContentListener::highlightChange(), RGBSColor(), RGBSColor(), and RGBSColor().

## m_s

unsigned char RGBSColor::m_s

Referenced by WPXContentListener::_colorToString(), WPXContentListener::_mergeColorsToString(), WP6ContentListener::highlightChange(), RGBSColor(), RGBSColor(), and RGBSColor().

The documentation for this struct was generated from the following files:

- libwpd_internal.h
- libwpd_internal.cpp